Package org.apache.calcite.avatica

## Interface ConnectionConfig

All Known Implementing Classes:
  `AvaticaRemoteConnectionConfigImpl`, `ConnectionConfigImpl`

    public interface ConnectionConfig

Connection configuration.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `authentication()`
`java.lang.String` `avaticaPassword()`
`java.lang.String` `avaticaUser()`
`Service.Factory` `factory()`
`HostnameVerificationConfigurable.HostnameVerification` `hostnameVerification()`
`java.lang.String` `httpClientClass()`
`AvaticaHttpClientFactory` `httpClientFactory()`
`java.io.File` `kerberosKeytab()`
`java.lang.String` `kerberosPrincipal()`
`java.lang.String` `keyPassword()`
`java.io.File` `keystore()`
`java.lang.String` `keystorePassword()`
`java.lang.String` `schema()`
`java.lang.String` `serialization()`
`java.lang.String` `timeZone()`
`java.io.File` `truststore()`
`java.lang.String` `truststorePassword()`
`java.lang.String` `url()`

### Method Detail

#### schema

    java.lang.String schema()

See Also:
  `BuiltInConnectionProperty.SCHEMA`

#### timeZone

    java.lang.String timeZone()

See Also:
  `BuiltInConnectionProperty.TIME_ZONE`

#### factory

    Service.Factory factory()

See Also:
  `BuiltInConnectionProperty.FACTORY`

#### url

    java.lang.String url()

See Also:
  `BuiltInConnectionProperty.URL`

#### serialization

    java.lang.String serialization()

See Also:
  `BuiltInConnectionProperty.SERIALIZATION`

#### authentication

    java.lang.String authentication()

See Also:
  `BuiltInConnectionProperty.AUTHENTICATION`

#### avaticaUser

    java.lang.String avaticaUser()

See Also:
  `BuiltInConnectionProperty.AVATICA_USER`

#### avaticaPassword

    java.lang.String avaticaPassword()

See Also:
  `BuiltInConnectionProperty.AVATICA_PASSWORD`

#### httpClientFactory

    AvaticaHttpClientFactory httpClientFactory()

See Also:
  `BuiltInConnectionProperty.HTTP_CLIENT_FACTORY`

#### httpClientClass

    java.lang.String httpClientClass()

See Also:
  `BuiltInConnectionProperty.HTTP_CLIENT_IMPL`

#### kerberosPrincipal

    java.lang.String kerberosPrincipal()

See Also:
  `BuiltInConnectionProperty.PRINCIPAL`

#### kerberosKeytab

    java.io.File kerberosKeytab()

See Also:
  `BuiltInConnectionProperty.KEYTAB`

#### truststore

    java.io.File truststore()

See Also:
  `BuiltInConnectionProperty.TRUSTSTORE`

#### truststorePassword

    java.lang.String truststorePassword()

See Also:
  `BuiltInConnectionProperty.TRUSTSTORE_PASSWORD`

#### keystore

    java.io.File keystore()

See Also:
  `BuiltInConnectionProperty.KEYSTORE`

#### keystorePassword

    java.lang.String keystorePassword()

See Also:
  `BuiltInConnectionProperty.KEYSTORE_PASSWORD`

#### keyPassword

    java.lang.String keyPassword()

See Also:
  `BuiltInConnectionProperty.KEY_PASSWORD`

#### hostnameVerification

    HostnameVerificationConfigurable.HostnameVerification hostnameVerification()

See Also:
  `BuiltInConnectionProperty.HOSTNAME_VERIFICATION`